Subject: [netmod] Migrating existing RFCs to NMDA

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 19 Jul 2017 16:11:12 +0100

Hi,

Rob's useful presentation at
https://www.ietf.org/proceedings/99/slides/slides-99-netmod-sessa-nmda-qa-01.pdf
listed a set of RFCs the "need to be updated".

That's a good first step, but we seem to have run out of magic pixie dust here
in the depot, so we were wondering how that "need" is going to be converted to
action.

Is there a plan? If not, what is the plan for a plan?

Thanks,
Adrian

---

From: Robert Wilton <[email-masked]>
Date: Thu, 20 Jul 2017 11:39:15 +0200

Hi Adrian,

> listed a set of RFCs the "need to be updated".
"need to be updated" might have been a bit strong on my slides.

Really it was the list of RFCs that currently define "foo-state" trees.  
For some of these drafts/modules it is a open question whether they get 
updated.

My understanding of the current plan is:

RFC 6022: YANG Module for NETCONF Monitoring
[email-masked] defines netconf-state
=> Unclear whether this needs to be immediately updated.  If it does 
then perhaps it could also be updated by draft-dsdt-nmda-netconf-00 (the 
proposed protocol updates to NETCONF to support NMDA).

RFC 7223: A YANG Data Model for Interface Management
[email-masked]  defines interface-state
=> Martin Bjorklund to issue a bis version.

RFC 7277: A YANG Data Model for IP Management
[email-masked] augments interface-state
=> Martin Bjorklund to issue a bis version.

RFC 7317: A YANG Data Model for System Management
[email-masked] defines system-state
=> Model update looks to be trivial.  Martin Bjorklund is one of the 
authors, so hopefully he can help issue a updated version.

RFC 7895:  YANG Module Library
[email-masked] defines module-state
=> Kent Watsen already has an ID submitted to NETCONF, hopefully should 
get WG adoption today.

RFC 8040:  RESTCONF Protocol
[email-masked]
[email-masked]  defines  restconf-state
=> Unclear whether this needs to be immediately updated.  If it does 
then perhaps it could also be updated by 
draft-dsdt-netconf-restconf-nmda-00 (the proposed protocol updates to 
RESTCONF to support NMDA).

RFC 8022: A YANG Data Model for Routing Management
[email-masked]
[email-masked]
[email-masked]
[email-masked]    defines and augments routing-state
=> Rob Wilton to help update models, will get from authors to republish, 
Acee Lindem has indicated that he will help.

> in the depot, so we were wondering how that "need" is going to be converted to
The NMDA authors will help achieve this.

> Is there a plan? If not, what is the plan for a plan?
Assuming that the NETCONF, RESTCONF, and YANG libary NMDA updates are 
supported for adoption by NETCONF WG, then I expect that we should 
hopefully see draft versions of these updated models shortly (before the 
next IETF, hopefully sooner than that)..

Thanks,
Rob

>
> Thanks,
> Adrian
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
> .
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 20 Jul 2017 12:49:08 +0100

Thanks,
That is helpful.
Adrian

> -----Original Message-----
> From: Robert Wilton [mailto:[email-masked]]
> Sent: 20 July 2017 10:39
> To: [email-masked]; [email-masked]; Martin Bjorklund; Kent Watsen; Phil
> Shafer; [email-masked]
> Subject: Re: [netmod] Migrating existing RFCs to NMDA
> 
> Hi Adrian,
>

---

From: "Yemin (Amy)" <[email-masked]>
Date: Thu, 20 Jul 2017 12:09:25 +0000

It's very important to understand the time plan of the RFC bis. 

We have a draft augmenting RFC7223(I believe we are not the only one), how should we make the reference to RFC7223, or RFC7223bis?
Will the RFC revision become a critical point to prevent progressing other draft? 

BR,
Amy
________________________________________
发件人: netmod [[email-masked]] 代表 Robert Wilton [[email-masked]]
发送时间: 2017年7月20日 17:39
收件人: [email-masked]; [email-masked]; Martin Bjorklund; Kent Watsen; Phil Shafer; [email-masked]
主题: Re: [netmod] Migrating existing RFCs to NMDA

Hi Adrian,

Thanks,
Rob

---

From: Robert Wilton <[email-masked]>
Date: Thu, 20 Jul 2017 14:32:43 +0200

Hi Amy,

> We have a draft augmenting RFC7223(I believe we are not the only one), how should we make the reference to RFC7223, or RFC7223bis?
If your module is just augmenting /interfaces/ and /interfaces-state/ 
then you have no direct dependency on RFC7223-bis.

The dependency only exists if your module is augmenting 
/interfaces-state/statistics/, or any of the leaves in 
/interfaces-state/ that don't also already exist in /interfaces/.

> Will the RFC revision become a critical point to prevent progressing other draft?
For some modules, potentially yes.

If you send me a pointer to your draft I can check whether you have any 
dependency on RC7223bis or not.

But I totally agree that we need to update the updated drafts out quickly.

Thanks,
Rob

---

From: "Yemin (Amy)" <[email-masked]>
Date: Thu, 20 Jul 2017 12:38:28 +0000

Hi Rob, 

Unfortunately our draft augments /interfaces-state/statistics/ and /interfaces-state/. 

Here's the link of our draft, it will be very nice of you to review and give further suggestion. Thanks. 
https://datatracker.ietf.org/doc/draft-ietf-ccamp-mw-yang/?include_text=1 

BR,
Amy
________________________________________
发件人: Robert Wilton [[email-masked]]
发送时间: 2017年7月20日 20:32
收件人: Yemin (Amy); [email-masked]; [email-masked]; Martin Bjorklund; Kent Watsen; Phil Shafer; [email-masked]
主题: Re: [netmod] Migrating existing RFCs to NMDA

Hi Amy,

Thanks,
Rob

---

From: Robert Wilton <[email-masked]>
Date: Thu, 20 Jul 2017 14:57:43 +0200

Hi Amy,

Augmenting /interfaces-state/ directly isn't a problem.  To be NMDA 
compliant you would just augment /interfaces/ instead.

However, if you need to augment /interfaces-state/statistics/ then the 
NMDA equivalent path will be /interfaces/statistics/ which obviously 
would have a dependency on 7223bis.

Thanks,
Rob